<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

  <CORE_PARTY PARTY_ID="-1"/>
  <CORE_USER PARTY_ID="-1" LOGIN="admin" CREATED_BY="me" CREATED_ON="2020-01-16" FIRST_NAME="admin" LAST_NAME="admin"/>
  <AUTH_USER LOGIN="admin" PASSWORD="{bcrypt}$2a$10$3faBJ9jjwQRehWOsdEByVOFY6qfy8G5ijUEQXgTEnCsxZEfdshueO" ACTIVE="1"/>
  <CORE_GROUP_MEMBER PARTY_ID="-1" GROUP_ID="1"/>

  <CORE_PARTY PARTY_ID="-5"/>
  <CORE_USER PARTY_ID="-5" LOGIN="project_manager" CREATED_BY="me" CREATED_ON="2020-01-16" FIRST_NAME="project" LAST_NAME="manager"/>
  <AUTH_USER LOGIN="project_manager" PASSWORD="{bcrypt}$2a$10$3faBJ9jjwQRehWOsdEByVOFY6qfy8G5ijUEQXgTEnCsxZEfdshueO" ACTIVE="1"/>
  <CORE_GROUP_MEMBER PARTY_ID="-5" GROUP_ID="2"/>

  <MILESTONE MILESTONE_ID="-1" USER_ID="-1" CREATED_ON="2020-09-10" CREATED_BY="admin" M_RANGE="GLOBAL" STATUS="PLANNED" LABEL="My milestone" END_DATE="2020-09-30"/>
  <MILESTONE MILESTONE_ID="-2" USER_ID="-1" CREATED_ON="2020-09-10" CREATED_BY="admin" M_RANGE="GLOBAL" STATUS="PLANNED" LABEL="My milestone 2" END_DATE="2020-09-30"/>
  <MILESTONE MILESTONE_ID="-3" USER_ID="-1" CREATED_ON="2020-09-10" CREATED_BY="admin" M_RANGE="GLOBAL" STATUS="IN_PROGRESS" LABEL="My milestone 3" END_DATE="2020-09-30"/>
  <MILESTONE MILESTONE_ID="-4" USER_ID="-1" CREATED_ON="2020-09-10" CREATED_BY="admin" M_RANGE="GLOBAL" STATUS="LOCKED" LABEL="My milestone 4" END_DATE="2020-09-30"/>
  <MILESTONE MILESTONE_ID="-5" USER_ID="-5" CREATED_ON="2020-09-10" CREATED_BY="manager" M_RANGE="RESTRICTED" STATUS="PLANNED" LABEL="My milestone 5" END_DATE="2020-09-30"/>
  <MILESTONE MILESTONE_ID="-6" USER_ID="-5" CREATED_ON="2020-09-10" CREATED_BY="manager" M_RANGE="RESTRICTED" STATUS="PLANNED" LABEL="My milestone 6" END_DATE="2020-09-30"/>
  <MILESTONE MILESTONE_ID="-7" USER_ID="-5" CREATED_ON="2020-09-10" CREATED_BY="manager" M_RANGE="RESTRICTED" STATUS="PLANNED" LABEL="My milestone 7" END_DATE="2020-09-30"/>
  <MILESTONE MILESTONE_ID="-8" USER_ID="-5" CREATED_ON="2020-09-10" CREATED_BY="manager" M_RANGE="RESTRICTED" STATUS="PLANNED" LABEL="My milestone 8" END_DATE="2020-09-30"/>

  <!-- SQUASH-3743 jira.xsquash is not a bt kind bindable to project, should be ignore in result  -->
  <THIRD_PARTY_SERVER URL="http://fake:1234" SERVER_ID="-101" NAME="Server-101" CREATED_ON="2020-04-09" CREATED_BY="Admin" />
  <BUGTRACKER BUGTRACKER_ID="-101" KIND="jira.xsquash"/>

  <THIRD_PARTY_SERVER URL="http://jenkins:1234" SERVER_ID="-102" NAME="TA01" CREATED_ON="2020-04-09" CREATED_BY="Admin" />
  <TEST_AUTOMATION_SERVER SERVER_ID="-102" KIND="jenkins" />
  <THIRD_PARTY_SERVER URL="http://redmine:1234" SERVER_ID="-103" NAME="Server-103" CREATED_ON="2020-04-09" CREATED_BY="Admin" />
  <BUGTRACKER BUGTRACKER_ID="-103" KIND="redmine.rest"/>


  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1031"/>
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1032"/>
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1033"/>
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1034"/>
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1035"/>
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1036"/>
  <REQUIREMENT_LIBRARY RL_ID="-103" ATTACHMENT_LIST_ID="-1031"/>
  <TEST_CASE_LIBRARY TCL_ID="-103" ATTACHMENT_LIST_ID="-1032"/>
  <CAMPAIGN_LIBRARY CL_ID="-103" ATTACHMENT_LIST_ID="-1033"/>
  <CUSTOM_REPORT_LIBRARY CRL_ID="-103" ATTACHMENT_LIST_ID="-1034"/>
  <!--  <CUSTOM_REPORT_LIBRARY_NODE CRLN_ID="-103" NAME="Project-102" CRL_ID="-103" ENTITY_ID="-1" ENTITY_TYPE="LIBRARY"/>-->
  <AUTOMATION_REQUEST_LIBRARY ARL_ID="-103" ATTACHMENT_LIST_ID="-1035"/>
  <PROJECT PROJECT_ID="-103" NAME="Project-102" CREATED_BY="admin" CREATED_ON="2020-04-09" ATTACHMENT_LIST_ID="-1036"
           LABEL="Label-102" ARL_ID="-103" CL_ID="-103" CRL_ID="-103" RL_ID="-103" TCL_ID="-103" PROJECT_TYPE="P" LAST_MODIFIED_BY="admin"/>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-102"/>
  <REQUIREMENT_LIBRARY RL_ID="-102" ATTACHMENT_LIST_ID="-102"/>
  <TEST_CASE_LIBRARY TCL_ID="-102" ATTACHMENT_LIST_ID="-102"/>
  <CAMPAIGN_LIBRARY CL_ID="-102" ATTACHMENT_LIST_ID="-102"/>
  <CUSTOM_REPORT_LIBRARY CRL_ID="-102" ATTACHMENT_LIST_ID="-102"/>
  <CUSTOM_REPORT_LIBRARY_NODE CRLN_ID="-102" NAME="Project-103" CRL_ID="-102" ENTITY_ID="-1" ENTITY_TYPE="LIBRARY"/>
  <AUTOMATION_REQUEST_LIBRARY ARL_ID="-102" ATTACHMENT_LIST_ID="-102"/>
  <PROJECT PROJECT_ID="-102" NAME="Project-103" CREATED_BY="georges" CREATED_ON="2020-04-09" ATTACHMENT_LIST_ID="-102"
           LABEL="Label-103" ARL_ID="-102" CL_ID="-102" CRL_ID="-102" RL_ID="-102" TCL_ID="-102" PROJECT_TYPE="T" LAST_MODIFIED_BY="georges"/>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-101"/>
  <REQUIREMENT_LIBRARY RL_ID="-101" ATTACHMENT_LIST_ID="-101"/>
  <TEST_CASE_LIBRARY TCL_ID="-101" ATTACHMENT_LIST_ID="-101"/>
  <CAMPAIGN_LIBRARY CL_ID="-101" ATTACHMENT_LIST_ID="-101"/>
  <CUSTOM_REPORT_LIBRARY CRL_ID="-101" ATTACHMENT_LIST_ID="-101"/>
  <CUSTOM_REPORT_LIBRARY_NODE CRLN_ID="-101" NAME="Project-101" CRL_ID="-101" ENTITY_ID="-1" ENTITY_TYPE="LIBRARY"/>
  <AUTOMATION_REQUEST_LIBRARY ARL_ID="-101" ATTACHMENT_LIST_ID="-101"/>
  <PROJECT PROJECT_ID="-101" NAME="Project-101" CREATED_BY="admin" CREATED_ON="2020-04-09" ATTACHMENT_LIST_ID="-101"
           LABEL="Label-101" ARL_ID="-101" CL_ID="-101" CRL_ID="-101" RL_ID="-101" TCL_ID="-101" PROJECT_TYPE="P" LAST_MODIFIED_BY="rudy"
           TA_SERVER_ID="-102" ALLOW_AUTOMATION_WORKFLOW="1" BUGTRACKER_ID="-103" />

  <MILESTONE_BINDING MILESTONE_BINDING_ID="-1" PROJECT_ID="-101" MILESTONE_ID="-1"/>
  <MILESTONE_BINDING MILESTONE_BINDING_ID="-2" PROJECT_ID="-101" MILESTONE_ID="-8"/>
  <MILESTONE_BINDING MILESTONE_BINDING_ID="-3" PROJECT_ID="-102" MILESTONE_ID="-5"/>
  <MILESTONE_BINDING MILESTONE_BINDING_ID="-4" PROJECT_ID="-102" MILESTONE_ID="-6"/>
  <MILESTONE_BINDING MILESTONE_BINDING_ID="-5" PROJECT_ID="-102" MILESTONE_ID="-7"/>


  <BUGTRACKER_PROJECT BUGTRACKER_PROJECT_ID="-1" BUGTRACKER_PROJECT_NAME="projectName1" BUGTRACKER_PROJECT_ORDER="0"
                      PROJECT_ID="-101" />
  <BUGTRACKER_PROJECT BUGTRACKER_PROJECT_ID="-2" BUGTRACKER_PROJECT_NAME="projectName2" BUGTRACKER_PROJECT_ORDER="1"
                      PROJECT_ID="-101" />

  <TEST_AUTOMATION_PROJECT TM_PROJECT_ID="-101" TA_PROJECT_ID="-1" LABEL="taLabel1" REMOTE_NAME="taProject1" SERVER_ID="-102"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-102" TCLN_ID="-111" CREATED_ON="2020-09-09" CREATED_BY="admin" NAME="test case 1" PROJECT_ID="-102"/>
  <TEST_CASE PREREQUISITE="" TCLN_ID="-111" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1" REFERENCE="REF-001"/>
  <TEST_CASE_LIBRARY_CONTENT CONTENT_ID="-111" LIBRARY_ID="-102" CONTENT_ORDER="0"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-101" TCLN_ID="-112" CREATED_ON="2020-09-10" CREATED_BY="admin" NAME="test case 2" PROJECT_ID="-101"/>
  <TEST_CASE_FOLDER TCLN_ID="-112"/>
  <TEST_CASE_LIBRARY_CONTENT CONTENT_ID="-112" LIBRARY_ID="-101" CONTENT_ORDER="0"/>

  <!--  Give the project manager a role for Project-101-->
  <ACL_OBJECT_IDENTITY ID="-1" IDENTITY="-101" CLASS_ID="1"/>
  <ACL_OBJECT_IDENTITY ID="-2" IDENTITY="-101" CLASS_ID="2"/>
  <ACL_OBJECT_IDENTITY ID="-3" IDENTITY="-101" CLASS_ID="3"/>
  <ACL_OBJECT_IDENTITY ID="-4" IDENTITY="-101" CLASS_ID="4"/>
  <ACL_OBJECT_IDENTITY ID="-5" IDENTITY="-101" CLASS_ID="6"/>
  <ACL_OBJECT_IDENTITY ID="-6" IDENTITY="-101" CLASS_ID="7"/>

  <ACL_RESPONSIBILITY_SCOPE_ENTRY ID="-1" PARTY_ID="-5" ACL_GROUP_ID="5" OBJECT_IDENTITY_ID="-1"/>
  <ACL_RESPONSIBILITY_SCOPE_ENTRY ID="-2" PARTY_ID="-5" ACL_GROUP_ID="5" OBJECT_IDENTITY_ID="-2"/>
  <ACL_RESPONSIBILITY_SCOPE_ENTRY ID="-3" PARTY_ID="-5" ACL_GROUP_ID="5" OBJECT_IDENTITY_ID="-3"/>
  <ACL_RESPONSIBILITY_SCOPE_ENTRY ID="-4" PARTY_ID="-5" ACL_GROUP_ID="5" OBJECT_IDENTITY_ID="-4"/>
  <ACL_RESPONSIBILITY_SCOPE_ENTRY ID="-5" PARTY_ID="-5" ACL_GROUP_ID="5" OBJECT_IDENTITY_ID="-5"/>
  <ACL_RESPONSIBILITY_SCOPE_ENTRY ID="-6" PARTY_ID="-5" ACL_GROUP_ID="5" OBJECT_IDENTITY_ID="-6"/>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-997" />
  <TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-997" TCL_ID="-2" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-998" />
  <CAMPAIGN_LIBRARY ATTACHMENT_LIST_ID="-998" CL_ID="-2" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-999" />
  <REQUIREMENT_LIBRARY ATTACHMENT_LIST_ID="-999" RL_ID="-2" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-2" />
  <PROJECT PROJECT_ID="-2" TCL_ID="-2" CL_ID="-2" RL_ID="-2" NAME="TWO" CREATED_BY="DBU" CREATED_ON="2010-02-01"
           ATTACHMENT_LIST_ID="-2" PROJECT_TYPE="T" />

</dataset>
